Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::No_Filesystem_Access Class Referencefinal

`#include <filesystem.h>`

Inheritance diagram for Botan::No_Filesystem_Access:

## Public Member Functions
virtual int | error_code () const noexcept
virtual ErrorType | error_type () const noexcept
| No_Filesystem_Access ()
const char * | what () const noexcept override

## Detailed Description

No_Filesystem_Access Exception

Definition at line 20 of file filesystem.h.

## Constructor & Destructor Documentation

## ◆ No_Filesystem_Access()

Botan::No_Filesystem_Access::No_Filesystem_Access | ( |  | ) |
| inline

Definition at line 23 of file filesystem.h.

23 : Exception("No filesystem access enabled.")
24 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73

## Member Function Documentation

## ◆ error_code()

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::Compression_Error, Botan_FFI::FFI_Error, Botan::CommonCrypto_Error, Botan::PKCS11::PKCS11_ReturnError, Botan::TLS::TLS_Exception, Botan::SQL_Database::SQL_DB_Error, and Botan::System_Error.

Definition at line 112 of file exceptn.h.

112{ return 0; }

## ◆ error_type()

virtual ErrorType Botan::Exception::error_type | ( |  | ) | const
| inline virtual noexcept inherited

Return the "type" of error which occurred.

Reimplemented in Botan::Compression_Error, Botan_FFI::FFI_Error, Botan::Roughtime::Roughtime_Error, Botan::CommonCrypto_Error, Botan::PKCS11::PKCS11_Error, Botan::TPM_Error, Botan::TLS::TLS_Exception, Botan::SQL_Database::SQL_DB_Error, Botan::Invalid_Argument, Botan::Invalid_Key_Length, Botan::Invalid_IV_Length, Botan::Encoding_Error, Botan::Decoding_Error, Botan::Invalid_State, Botan::Key_Not_Set, Botan::Lookup_Error, Botan::Invalid_Authentication_Tag, Botan::Stream_IO_Error, Botan::System_Error, Botan::Internal_Error, Botan::Not_Implemented, Botan::HTTP::HTTP_Error, and Botan::Integer_Overflow_Detected.

Definition at line 101 of file exceptn.h.

101{ return Botan::ErrorType::Unknown; }
Botan::ErrorType::Unknown
@ Unknown

References Botan::Unknown.

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following file:

- src/lib/utils/filesystem.h